Bug 984173 - Disable versioned OpenBabel data directories
Disable versioned OpenBabel data directories
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openbabel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 05:00 EDT by Susi Lehtola
Modified: 2013-07-27 21:11 EDT (History)
5 users (show)

See Also:
Fixed In Version: openbabel-2.3.2-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-27 21:07:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (6.79 KB, patch)
2013-07-13 05:04 EDT, Susi Lehtola
no flags Details | Diff

  None (edit)
Description Susi Lehtola 2013-07-13 05:00:22 EDT
OpenBabel provides force field data and libraries, which are needed for operating software that is built against openbabel.

Please provide rpm macros which state the version of the openbabel library, and the exact location of the data and library directories.
Comment 1 Susi Lehtola 2013-07-13 05:04:13 EDT
Created attachment 772974 [details]
Proposed patch

This patch adds the rpm macros, and also cleans up the packaging somewhat by removing duplicate html man pages, and branching out the documentation and the force fields to separate subpackages.
Comment 2 Susi Lehtola 2013-07-13 05:05:38 EDT
The patch also takes care of the trivial part of bug #865621, but I can't get openbabel to compile due to an obsolete Ruby makefile

-- Found Ruby: /usr/bin/ruby (found version "2.0.0") 
-- Ruby bindings will be compiled
-e:1:in `<main>': Use RbConfig instead of obsolete and deprecated Config.
-e:1:in `<main>': Use RbConfig instead of obsolete and deprecated Config.
-- Configuring incomplete, errors occurred!
error: Bad exit status from /var/tmp/rpm-tmp.wWLTSK (%build)
Comment 3 Susi Lehtola 2013-07-15 05:02:35 EDT
Alternatively, since we're only going to have one version of OpenBabel installed anyhow, this problem would be solved by not using version dependent locations for the libraries and the force fields.

Then the soname dependency automatically picked up by rpm would be sufficient.
Comment 4 Susi Lehtola 2013-07-17 20:21:18 EDT
(In reply to Susi Lehtola from comment #2)
> The patch also takes care of the trivial part of bug #865621, but I can't
> get openbabel to compile due to an obsolete Ruby makefile

What am I saying. That's not the error, the error is in the CMake makefile using the same target name twice.

Anyway, I can handle the updates, but I'd like to hear your opinion on the location issue.
Comment 5 Susi Lehtola 2013-07-18 04:53:08 EDT
Actually, since the versioned library locations can be turned off as a configure option I'm going ahead and doing the change in rawhide.
Comment 6 Dominik 'Rathann' Mierzejewski 2013-07-18 05:10:36 EDT
I'm fine with your changes and I've just approved your commit access. Thanks for your help.
Comment 7 Fedora Update System 2013-07-18 07:56:52 EDT
openbabel-2.3.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openbabel-2.3.2-1.fc19
Comment 8 Fedora Update System 2013-07-18 07:57:11 EDT
openbabel-2.3.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openbabel-2.3.2-1.fc18
Comment 9 Fedora Update System 2013-07-20 05:30:43 EDT
Package openbabel-2.3.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openbabel-2.3.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13229/openbabel-2.3.2-1.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-07-27 21:07:51 EDT
openbabel-2.3.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-07-27 21:11:05 EDT
openbabel-2.3.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.